<?php
class ControllerExtensionModulenavmenufive extends Controller {
	public function index($setting) {
		$data['name'] = $setting['name'];
		$data['bgcolor'] = $setting['bgcolor'];
		$data['titlecss'] = $setting['titlecss'];
		$data['blog'] = $setting['blog'];
		static $module = 0;

		$this->load->model('tool/image');

		if (is_file(DIR_IMAGE . $setting['image'])) {
			$image = $setting['image'];
		} else {
			$image = 'placeholder.png';
		}

		$data['image'] = $this->model_tool_image->resize($image, $setting['width'], $setting['height']);
		$data['services'] = array();

		if (isset($setting['service']) && $setting['service']) {
			$this->load->model('tool/image');

			$services = $setting['service'];

			$sort_order = array();

			foreach ($services as $key => $value) {
				$sort_order[$key] = $value['sort_order'];
			}

			array_multisort($sort_order, SORT_ASC, $services);

			foreach ($services as $service) {
				$service_info = array();
				if (isset($service['title'][$this->config->get('config_language_id')])) {
					$service_info['title'] = trim($service['title'][$this->config->get('config_language_id')]);
				} else {
					$service_info['title'] = '';
				}
																											
				if (isset($service['link'])) {
					$service_info['link'] = trim($service['link']);
				} else {
					$service_info['link'] = '';
				}

				if (isset($service['image']) && is_file(DIR_IMAGE . $service['image'])) {
					$service_info['image'] = $this->model_tool_image->resize($service['image'], 50, 50);
				} else {
					$service_info['image'] = $this->model_tool_image->resize('placeholder.png', 50, 50);
				}

				$data['services'][] = $service_info;
			}
		}

		if ($data['services']) {
			if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . 'extension/module/navmenufive.tpl')) {
				return $this->load->view($this->config->get('config_template') . 'extension/module/navmenufive.tpl', $data);
			} else {
				return $this->load->view('extension/module/navmenufive.tpl', $data);
			}
		}

	}
}